# BackRaw's EasyBEAdmin-Script (BEAdmin) v1

# import important libraries
import es
import gamethread
import playerlib

def player_say(ev):
    
    # set scripts to the scripts you've installed on the server
    es.set('script1', '(Script1)')
    es.set('script2', '(Script2)')
    es.set('script3', '(Script3)')
    es.set('script4', '(Script4)')
    es.set('script5', '(Script5)')
    es.set('script6', '(Script6)')
    es.set('script7', '(Script7)')
    es.set('script8', '(Script8)')
    es.set('script9', '(Script9)')
    es.set('script10', '(Script10)')
    
    # check whether or not the userid is 0
    if not ev['userid'] == '0':
        # create values for variables
        thePlayers = playerlib.getPlayerList('#all')
        thePlayer = playerlib.getPlayer(ev['userid'])
        theSteam = thePlayer.attributes['steamid']
        
        # setup admins (like on the Addons-Database-Site and the Forums)
        theAdmins = 'STEAM_0:1:14942199'
        
        # if the SteamID equals to the Admin-SteamID, allow him/her to use the following commands
        if theSteam in theAdmins:
            # turn on Friendly Fire
            if ev['text'] == 'ff on':
                es.set('mp_friendlyfire', '1')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenFriendly Fire: #greenOn')
            # turn off Friendly Fire
            if ev['text'] == 'ff off':
                es.set('mp_friendlyfire', '0')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenFriendly Fire: #greenOff')
            # turn on Auto-Kick
            if ev['text'] == 'akick on':
                es.set('mp_autokick', '1')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenAuto-Kick: #greenOn')
            # turn off Auto-Kick
            if ev['text'] == 'akick off':
                es.set('mp_autokick', '0')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenAuto-Kick: #greenOff')
            # set gravity to 800 (Standard)
            if ev['text'] == 'highgrav':
                es.set('sv_gravity', '800')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenGravity: #green800')
            # set gravity to 150
            if ev['text'] == 'lowgrav':
                es.set('sv_gravity', '150')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenGravity: #green150')
            # kill every bot on the server
            if ev['text'] == 'killbots':
                es.server.queuecmd('bot_kill')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenSlayed every #greenBot')
            # kick every bot on the server
            if ev['text'] == 'kickbots':
                es.server.queuecmd('bot_kick')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenKicked every #greenBot')
            # add a bot
            if ev['text'] == 'addbot':
                es.server.queuecmd('bot_add')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenAdded a #greenBot')
            # add a bot to team Terrorists
            if ev['text'] == 'addbot t':
                es.server.queuecmd('bot_add_t')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenAdded a #greenBot #lightgreento team Terrorists')
            # add a bot to team Counter-Terrorists
            if ev['text'] == 'addbot_ct':
                es.server.queuecmd('bot_add_ct')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenAdded a #greenBot #lightgreento team Counter-Terrorists')
            # give every player $500
            if ev['text'] == 'givecash 500':
                for userid in thePlayers:
                    playerlib.getPlayer(userid).add('cash', 500)
            # give every player $1000
            if ev['text'] == 'givecash 1000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 1000)
            # give every player $1500
            if ev['text'] == 'givecash 1500':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 1500)
            # give every player $2000
            if ev['text'] == 'givecash 2000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 2000)
            # give every player $3000
            if ev['text'] == 'givecash 3000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 3000)
            # set every player's cash to $5000
            if ev['text'] == 'setcash 5000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 5000)
            # set every player's cash to $8000
            if ev['text'] == 'setcash 8000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 8000)
            # set every player's cash to $10000
            if ev['text'] == 'setcash 10000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 10000)
            # set every player's cash to $12000
            if ev['text'] == 'setcash 12000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 12000)
            # set every player's cash to $16000
            if ev['text'] == 'setcash 16000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 16000)
            # load script "war" (if it's installed on the server)
            if ev['text'] == 'war an':
                if es.exists('script', 'war'):
                    es.load('war')
                    es.unload(es.ServerVar('script1'))
                    es.unload(es.ServerVar('script3'))
                    es.unload(es.ServerVar('script4'))
                    es.unload(es.ServerVar('script5'))
                    es.unload(es.ServerVar('script6'))
                    es.unload(es.ServerVar('script7'))
                    es.unload(es.ServerVar('script8'))
                    es.unload(es.ServerVar('script9'))
                    es.unload(es.ServerVar('script10'))
                    es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreen\'#greenBEAdmin#lightgreen\' unloaded. Loading \'#greenWar#lightgreen\'...')
                    es.server.cmd('mp_restartgame 1')
                    es.unload('beadmin')
                else:
                    es.server.cmd('mp_restartgame 1')
            # load standard server settings + unload scripts you've setup above
            if ev['text'] == 'normal':
                es.server.cmd('mp_restartgame 1')
                es.server.cmd('exec server.cfg')
                es.unload(es.ServerVar('script1'))
                es.unload(es.ServerVar('script2'))
                es.unload(es.ServerVar('script3'))
                es.unload(es.ServerVar('script4'))
                es.unload(es.ServerVar('script5'))
                es.unload(es.ServerVar('script6'))
                es.unload(es.ServerVar('script7'))
                es.unload(es.ServerVar('script8'))
                es.unload(es.ServerVar('script9'))
                es.unload(es.ServerVar('script10'))
                gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenLoaded standard server settings'))
            # load standard server settings + the scripts you've setup above
            if ev['text'] == 'normal, scripts':
                es.server.cmd('mp_restartgame 1')
                es.server.cmd('exec server.cfg')
                es.load(es.ServerVar('script1'))
                es.load(es.ServerVar('script2'))
                es.load(es.ServerVar('script3'))
                es.load(es.ServerVar('script4'))
                es.load(es.ServerVar('script5'))
                es.load(es.ServerVar('script6'))
                es.load(es.ServerVar('script7'))
                es.load(es.ServerVar('script8'))
                es.load(es.ServerVar('script9'))
                es.load(es.ServerVar('script10'))
                gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenLoaded standard server settings and scripts'))
            # load the scripts you've setup above
            if ev['text'] == 'scripts':
                es.server.cmd('mp_restartgame 1')
                es.load(es.ServerVar('script1'))
                es.load(es.ServerVar('script2'))
                es.load(es.ServerVar('script3'))
                es.load(es.ServerVar('script4'))
                es.load(es.ServerVar('script5'))
                es.load(es.ServerVar('script6'))
                es.load(es.ServerVar('script7'))
                es.load(es.ServerVar('script8'))
                es.load(es.ServerVar('script9'))
                es.load(es.ServerVar('script10'))
                gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenLoaded scripts'))
            # do 3 round restarts
            if ev['text'] == '3rr':
                es.server.cmd('mp_restartgame 1')
                gamethread.delayed(2, es.server.cmd, 'mp_restartgame 1')
                gamethread.delayed(4, es.server.cmd, 'mp_restartgame 1')
                gamethread.delayed(6, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDone #green3 Round-Restarts #lightgreensuccessfully'))
            # do a round restart
            if ev['text'] == 'rr':
                es.server.cmd('mp_restartgame 1')
                gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDone the #greenRound-Restart #lightgreensuccessfully'))
            # change to map de_dust2
            if ev['text'] == '!dust2':
                es.server.cmd('changelevel de_dust2')
            # change to map de_dust
            if ev['text'] == '!dust':
                es.server.cmd('changelevel de_dust')
            # change to map de_aztec
            if ev['text'] == '!aztec':
                es.server.cmd('changelevel de_aztec')
            # change to map cs_italy
            if ev['text'] == '!italy':
                es.server.cmd('changelevel cs_italy')
